//* Problem  : 1549 - u Calculate e
//* Contest  : acm.tju.edu.cn
//* Type     : Solution
//* Date     : 2007.07.24
//* Author   : alt
//* Language : C++
//* Compiler : Microsoft Visual C++ 6.0

#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

//#define ONLINE_JUDGE
int main()
{
	int n, i, j;
	double e = 1.0, sum;
	printf("n e\n- -----------\n");
	printf("0 1\n");
	printf("1 2\n");
	printf("2 2.5\n");
	sum = 1.0;
	for (i = 1; i <= 9; i++)
	{
		e = 1.0;
		for (j = 2; j <= i; j++)
			e /= (double)(j);
		sum += e;
		char s[100];
		sprintf(s, "%i %1.9lf\0", i, sum);
		j = strlen(s);
		j--;
if (i>2)		printf("%s\n", s);
	}
}